Bug 10225 - Monodevelop build from git repository error on Debian
Summary: Monodevelop build from git repository error on Debian
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: General ()
Version: unspecified
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2013-02-11 21:58 UTC by vdm
Modified: 2013-02-12 07:54 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description vdm 2013-02-11 21:58:26 UTC
I'm trying to install Monodevelop from the git repository on Debian GNU/Linux 6.0.6 (squeeze) AMD64.

At "make" step i got errors saying that: "/usr/local/lib/mono/4.0/Microsoft.Common.targets:  warning : Reference 'glade-sharp, Version=2.12.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' not resolved".

Also there are many of errors about: "The type or namespace name `Glade' could not be found. Are you missing an assembly reference?"

Here is the log details: http://pastebin.com/Dcr5f8yn

I have installed all required packages include libglade2-dev, libglade2.0-cil-dev, gtk-sharp2, gnome-sharp2 and many others which are required by monodevelop at "./configure" step and this step was complete successfully.

But at "make" step it says that glade-sharp reference is not resolved. Why it happens, any ideas and how to solve it?
Comment 1 vdm 2013-02-12 07:54:05 UTC
The solution was steps:

wget http://ftp.gnome.org/pub/gnome/sources/gtk-sharp/2.12/gtk-sharp-2.12.10.tar.gz
tar -zxvf gtk-sharp-2.12.10.tar.gz
cd gtk-sharp-2.12.10
CFLAGS="-DGLIB_COMPILATION" ./configure --prefix=/usr/local
make
sudo make install
     
sudo aptitude install libgcal-dev